Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class StringValueExp

    java.lang.Object
      javax.management.StringValueExp

All Implemented Interfaces:
  Serializable, ValueExp

    public class StringValueExp

extends Object
implements ValueExp

Represents strings that are arguments to relational constraints. A `StringValueExp` may be used anywhere a `ValueExp` is required.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`StringValueExp()` Basic constructor.
`StringValueExp(String val)` Creates a new `StringValueExp` representing the given string.

Method Summary
`ValueExp` | `apply(ObjectName name)` Applies the ValueExp on a MBean.
`String` | `getValue()` Returns the string represented by the `StringValueExp` instance.
`void` | `setMBeanServer(MBeanServer s)` Sets the MBean server on which the query is to be performed.
`String` | `toString()` Returns the string representing the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringValueExp

    public StringValueExp()

  Basic constructor.

### StringValueExp

    public StringValueExp(String val)

  Creates a new `StringValueExp` representing the given string.

  Parameters:
    `val` - the string that will be the value of this expression

Method Detail

### getValue

    public String getValue()

  Returns the string represented by the `StringValueExp` instance.

  Returns:
    the string.

### toString

    public String toString()

  Returns the string representing the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### setMBeanServer

    public void setMBeanServer(MBeanServer s)

  Sets the MBean server on which the query is to be performed.

  Specified by:
    `setMBeanServer` in interface `ValueExp`
  Parameters:
    `s` - The MBean server on which the query is to be performed.

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Applies the ValueExp on a MBean.

  Specified by:
    `apply` in interface `ValueExp`
  Parameters:
    `name` - The name of the MBean on which the ValueExp will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadStringOperationException`
    `BadBinaryOpValueExpException`
    `BadAttributeValueExpException`
    `InvalidApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.